Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 7 Apr 2016 19:21:33 +0100
From:      RW <rwmaillists@googlemail.com>
To:        freebsd-questions@freebsd.org
Subject:   Re: building linux ports with x11/nvidia-driver-340 instead of x11/nvidia-driver
Message-ID:  <20160407192133.0eee3ad0@gumby.homeunix.com>
In-Reply-To: <20160407193035.123cc810@max-BSD>
References:  <570668FB.1010308@where-ever.za.net> <20160407193035.123cc810@max-BSD>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Thu, 7 Apr 2016 19:30:35 +0200
maxnix wrote:

> Il giorno Thu, 7 Apr 2016 16:04:43 +0200
> Vikash Badal <vikashb@where-ever.za.net> ha scritto:
> 
> > Greetings
> > 
> > can anyone assist ?
> > 340
> > I am trying to build the following ports using x11/nvidia-driver-340
> > instead of x11-nvidia-driver :
> > emulators/linux-c6
> > x11-toolkits/linux-c6-qt47-x11
> > graphics/linux-c6-glx-utils
> > net-im/skype4

> Look at the Freshports page for net-im/linux-c6:
> https://www.freshports.org/emulators/linux-c6/
> In the "Configuration Options" section there is
> 	NVIDIA_GL=off: libGL support via nvidia-driver
> that is the default. Set this to
> 	NVIDIA_GL=on
> to add support with the nvidia driver.

This makes it depend on  x11/nvidia-driver, when the question as about
making it depend on the  x11/nvidia-driver-340 legacy driver port.


As far as the port dependency installation is concerned it shouldn't
make any difference

NVIDIA_GL_RUN_DEPENDS=${LINUXBASE}/usr/lib/libGL.so.1:x11/nvidia-driver

so if x11/nvidia-driver-340 has already installed libGL.so.1 then it
wont try to install x11/nvidia-driver to satisfy the dependency. 

This used to work with pkg-tools, I'm not sure what happens with
pkg. It'll probably complain, but it's worth a try.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20160407192133.0eee3ad0>